<?php

namespace Myriad\Authentication\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;
use Myriad\Authentication\Models\User;

class UserFactory extends Factory
{
    protected $model = User::class;

    public function definition(): array
    {
        return [
            'first_name' => $this->faker->firstName,
            'last_name' => $this->faker->lastName,
            'password' => bcrypt($this->faker->password),
            'last_login' => $this->faker->date(),
        ];
    }
}
